/*
 * Ben NanoNote I2C communication.
 *
 * Copyright (C) 2013 Paul Boddie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef __I2C_H__
#define __I2C_H__

#include <ubb/ubb.h>
#include "bool.h"

/* I2C modifiers. */

#define I2C_READ                    1
#define I2C_WRITE                   0

/* Functions. */

void i2c_init();
void i2c_start();
void i2c_stop();
void i2c_ack(bool ack);
uint8_t i2c_recv();
void i2c_recvmany(uint8_t *data, uint8_t len);
void i2c_wait();
bool i2c_send(uint8_t data);
bool i2c_sendmany(uint8_t *data, uint8_t len);

/* Function aliases. */

#define i2c_repeated_start i2c_start

#endif /* __I2C_H__ */
