/*
 * Common user interface functionality.
 *
 * Copyright (C) 2013 Paul Boddie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#include <stdio.h>
#include <stdlib.h>
#include <ubb/ubb.h>
#include <pthread.h>
#include "ui.h"
#include "shutdown.h"

void text_shutdown(int signum)
{
    init_shutdown(signum);
}

void text_shutdown_threaded(int signum)
{
    extern pthread_t thread;
    void *threadresult;

    if (pthread_cancel(thread) == 0)
        pthread_join(thread, &threadresult);

    text_shutdown(signum);
}

/* Textual interface functions. */

imu_ui_op text_handle_events()
{
    return IMU_UI_OP_NULL;
}

void text_flush()
{
    fflush(stdout);
}

void text_clear()
{
}

void text_quit()
{
    printf("Closing...\n");
    ubb_close(0);
}
