/*
 * Common user interface functionality.
 *
 * Copyright (C) 2013 Paul Boddie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef __UI_H__
#define __UI_H__

/* Common types. */

typedef enum
{
    IMU_UI_OP_NULL, IMU_UI_OP_CALIBRATE, IMU_UI_OP_RESET, IMU_UI_OP_PAUSE,
    IMU_UI_OP_QUIT
} imu_ui_op;

void init_shutdown(int signum);
void text_shutdown(int signum);
void text_shutdown_threaded(int signum);

/* Textual interface functions. */

imu_ui_op text_handle_events();
void text_flush();
void text_clear();
void text_quit();

#endif /* __UI_H__ */
